/*****************************************************************************
 *
 * object_users - encapsulations of the users for use of CGI code
 *
 * Copyright (c) 2004 Ben Clewett (bclewett@perfparse.org)
 * Last Modified:   2004-12-31
 *
 * License:
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *****************************************************************************/

#ifndef OBJECT_USERS_H
#define OBJECT_USERS_H

typedef struct TUsers {
	char *sUserName;
	char *sGroupName;
	int bRawShowNormal;
	int bRawShowWarning;
	int bRawShowCritical;
	int bRawShowUnknown;
	int iRawRefreshTime;
} TUsers;

/* User Details */
extern TUsers user;

/* Populate user details */
void getUser();

/* Save user after any changes */
void saveUser();


#endif


